<?php
if (!isset($mensajeria_sistema)) {
    $mensajeria_sistema = FALSE;
}
?>
<script type="text/javascript">url_mensajeria = '<?= $url_mensajeria; ?>'</script>
<a href="<?= URL_SITIO; ?>" class="btn fa fa-arrow-left">Volver</a>
<a href="javascript:escribir();" class="btn fa fa-envelope-o">Escribir</a>
<?php if($mensajeria_sistema && in_array('admin', $_SESSION['login_user']['PRIVILEGIOS'])) { ?>
<a href="<?= URL_SITIO; ?>mensajeria_sistema/comandos" class="btn fa fa-cubes">Administrar Comandos</a>
<?php } ?>
<div class="cb">
    <h1><?= $mensajeria_sistema ? 'MENSAJERÍA DEL SISTEMA' : 'MENSAJERÍA' ?></h1>
    <div id="form">
        <h2>Nuevo mensaje</h2>
        <label>Local: <em>*</em> (Seleccionar Local/es destino/s)</label><br />
        <a href="javascript:void();" onclick="select_all()">Selecciontar todos</a> - <a href="javascript:void()" onclick="unselect_all()">Deseleccionar todos</a><br />
        <select id="local" multiple="multiple" style="height:200px">
            <?php
            if ($locales) {
                foreach ($locales as $l) {
                    if(!trim($l['NOM'])) $l['NOM']="Local ".$l['COD'];
                    echo "<option value=\"{$l['COD']}\">{$l['NOM']}</option>";
                }
            }
            ?>

        </select><br />
        <?php if ($mensajeria_sistema) {
            if($comandos && count($comandos)>0) { ?>
        
            <label>Comando: <em>*</em></label><br />
            <select id="asunto">
                <option value="">Seleccione una opción</option>
                <?php foreach($comandos as $cm) { ?>
                <option value="<?=$cm['id'].'-|-'.$cm['nombre']?>"><?=$cm['nombre']?></option>
                <?php } ?>
            </select><br />
        <?php } else { ?>
            <p>No hay comandos cargados</p>
        <?php } } else { ?>
            <label>Asunto: <em>*</em></label><br />
            <input type="text" id="asunto" /><br />
            <label>Mensaje: <em>*</em></label><br />
            <textarea id="mensaje"></textarea><br />
        <?php } ?>
        <label class="req"><em>*</em> Campos obligatorios</label><br /><br />

        <input type="button" value="Enviar" class="btn-send" />
        <input type="button" value="Cancelar" class="btn-cancel" />
    </div>
    <?php
    if ($mensajes) {
        ?>
        <div id="msjs">
            <div class="item"><label class="lc">Local</label><label class="sj">Asunto</label><label class="us">Usuario</label><label class="dt">Fecha</label></div>
            <?php
            foreach ($mensajes as $item) {
                print_data($item, $item['local'], $mensajeria_sistema);
            }
            ?>
        </div>
        <?php
    } else {
        echo '<p>NO HAY MENSAJES<p>';
    }
    ?>
</div>
<?php

function print_data($item, $local, $mensajeria_sistema, $ppal = '', $flag = true) {

    $fecha_leido = false;
    if (is_array($item['destinatarios'])) {
        $aux = array();
        foreach ($item['destinatarios'] as $dest) {
            $aux[] = $dest['destinatario'];
            if ($dest['fecha_leido'] == NULL) {
                $fecha_leido = TRUE;
            }
        }
        $destinatarios = implode(', ', $aux);
        if ($item['destinatarios'][0]['destinatario'] === 0) {
            $destinatario = "HO";
        } else {
            $destinatario = $item['destinatarios'][0]['destinatario'] . "...";
        }
    } else {
        $destinatario = $item['destinatarios'];
        $destinatarios = $item['destinatarios'];
    }

    $destino_respueta = $destinatarios;

    if (!$destino_respueta) {
        $destino_respueta = $item['local'];
    }

    if ($flag) {
        $sb = "";
        if ($item['respuestas']) {
            $item['local'] = '<i class="fa fa-chevron-down"></i>' . $item['local'];
        }
    } else {
        $sb = " sb";
        //$local='<span class="lc fa fa-mail-forward"></span>';
    }

    $sin_leer = "";
    if ($flag) {
        $sin_leer = "({$item['sin_leer']})";
    }
    $_local = '<span class="lc" title="' . ($destinatarios ? 'Destinatarios: ' : '') . $destinatarios . '">' . $destinatario . $sin_leer . '</span>';

    if ($mensajeria_sistema) {
        $resp_ic = "";
    } else {
        $resp_ic = '<i class="fa fa-mail-forward"></i>';
    }

    $resp_cl = "";
    if ($item['local'] == 0) {
        //$resp_ic='<i class="fa fa-mail-forward"></i>';
        $resp_cl = ' rsp';
    }

    echo '<div class="it' . (($fecha_leido && $destinatario == "HO") ? ' nld' : ' ld') . ($flag ? $resp_cl : '') . $sb . $ppal . '" rel="' . $item['ID'] . '" local="' . $destino_respueta . '">' . $_local . '<span class="sj"><i class="fa fa-mail-' . (($destinatario == 0) ? 'forward' : 'reply') . '"></i><em>' . $item['asunto'] . '</em></span><span class="us">' . $item['nombre_usuario'] . '</span><span class="dt">' . date('d/m/Y H:i:s', strtotime($item['fecha_recibido'])) . $resp_ic . '</span>';

    if ($item['respuestas']) {
        if (!$ppal) {
            $ppal = " sb" . $item['ID'];
        }

        foreach ($item['respuestas'] as $respuesta) {
            print_data($respuesta, $local, $mensajeria_sistema, $ppal, 0);
        }
    }
    echo '</div>';
}
?>